# Update a Batch message This operation updates all specified parameters of a batch that matches the provided batch ID. Endpoint: POST /xms/v1/{service_plan_id}/batches/{batch_id} Version: v1 Security: BearerAuth ## Path parameters: - `service_plan_id` (string, required) Your service plan ID. You can find this on your Dashboard. Example: "jd63jf88477ll123ab4567cd89012ef3" - `batch_id` (string, required) The batch ID you received from sending a message. Example: "01FC66621XXXXX119Z8PMV1QPQ" ## Response 400 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error. ## Response 403 fields (application/json): - `code` (string) The error code. See [error codes](https://developers.sinch.com/docs/sms/api-reference/status-codes/). - `text` (string) The human readable description of the error. ## Response 404 fields